Subject: RE: bug#43948: 28.0.50; [PATCH][NS] Make s-<left/right> to move to beginning/end of line

From: Drew Adams <[email-masked]>
Date: Tue, 20 Oct 2020 09:06:33 -0700 (PDT)

> Similarly, should M-mouse-1 be bound to rectangular selection, since Option-
> drag-mouse appears to be the platform convention?
> (It seems unlikely that there would be a sizeable population of secondary
> selection users on NS, but what do I know.)

FWIW -

The secondary selection is, I think, simply not
as well known as it could/should be.  I think
that if more people were aware if it they would
use it.

But the main reason, I think, that people aren't
aware of it, and also a reason they might not
use it even if they were aware of it, is that it
has no keyboard key bindings, by default.
___

My library second-sel.el provides additional
ways to obtain and use the secondary selection,
including obtaining it from the primary - and
vice versa, yanking it (including in Isearch),
and having its own ring (a la `kill-ring').

Suggested keyboard keys for it:

C-M-y       - yank, by default

  prefix arg:   0 - select it as region
              > 0 - move it to region's text
              < 0 - swap it with region

M-y         - yank from kill or secondary ring
              depending on previous command

C-x C-M-SPC - set start of secondary at point
C-x C-M-<return> - `secondary-save-then-kill'
                   does the same as `M-mouse-3'

https://www.emacswiki.org/emacs/SecondarySelection#second-sel.el